/*
 * Copyright (C) 2003-2007 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */
package org.exoplatform.services.jcr.impl.dataflow.persistent;

import java.io.Serializable;

import org.exoplatform.services.jcr.datamodel.ItemData;

/**
 * Created by The eXo Platform SAS
 * 
 * Date: 10.06.2008
 * 
 * @author <a href="mailto:peter.nedonosko@exoplatform.com.ua">Peter Nedonosko</a>
 * @version $Id: CacheValue.java 20384 2008-09-24 16:25:43Z pnedonosko $
 */
public class CacheValue implements Serializable {

  private final ItemData item;

  private final long     expiredTime;

  private final long     cacheTime;

  CacheValue(ItemData item, long expiredTime) {
    this.item = item;
    this.expiredTime = expiredTime;
    this.cacheTime = System.currentTimeMillis();
  }

  ItemData getItem() {
    return item;
  }

  long getExpiredTime() {
    return expiredTime;
  }

  long getCacheTime() {
    return cacheTime;
  }
}
